# Module os::mm::memory_set

source · [−]
Expand description

Implementation of `MapArea` and `MemorySet`.

## Structs

KERNEL_SPACE

a memory set instance through lazy_static! managing kernel space

MapArea

map area structure, controls a contiguous piece of virtual memory

MapPermission

map permission corresponding to that in pte: `R W X U`

MemorySet

memory set structure, controls virtual-memory space

## Enums

MapType

map type for memory set: identical or framed

## Functions

ebss 🔒 ⚠
edata 🔒 ⚠
ekernel 🔒 ⚠
erodata 🔒 ⚠
etext 🔒 ⚠
remap_test

Check PageTable running correctly

sbss_with_stack 🔒 ⚠
sdata 🔒 ⚠
srodata 🔒 ⚠
stext 🔒 ⚠
strampoline 🔒 ⚠